POST /blueprintfields

Create a new blueprint field

Create a new blueprint field
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
blueprint_guidoptionalstring
'c45797061f2c15a75361042244385e96419d230ab804d7f...'
Associated blueprint GUID
default_valueoptionalstring
"enabled"
Default value for the field
descriptionoptionalstring
"User's email address"
Field description
metadataoptionalobject
{
  "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
  "retries": 0
}
Additional metadata for the field
namerequiredstring
"user_email"
Field name
requiredoptionalboolean
false
Whether this field is required
typerequiredstring
"string"
Field data type
Allowed: "string", "number", "boolean", "object", "array", "date"
validation_rulesoptionalobject
{}
Validation rules for the field
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "blueprint_guid": "c45797061f2c15a75361042244385e96419d230ab804d7fa08cd52981fd78192",
  "default_value": "enabled",
  "description": "User's email address",
  "metadata": {
    "placeholder": "Enter your email",
    "ui_component": "text-input"
  },
  "name": "user_email",
  "required": false,
  "type": "string",
  "validation_rules": {
    "max_length": 100,
    "min_length": 5,
    "pattern": "^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,}$"
  }
}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprintfields_createRequired scope: blueprintfields_create

Back to Blueprint Fields Return to the Blueprint Fields category to view other endpoints All API Categories Browse all available API categories